# Install igraph.
#
class igraph {

    case $operatingsystem {
        debian,ubuntu: {
            apt::package { "libigraph":
                ensure => installed,
                source => $architecture ? {
                    i386    => "http://cneurocvs.rmki.kfki.hu/packages/binary/libigraph_0.5.2_i386.deb",
                    default => undef,
                },
            }
            package { "libxml2-dev":
                ensure => installed,
            }
            apt::package { "libigraph-dev":
                ensure => installed,
                source => $architecture ? {
                    i386    => "http://cneurocvs.rmki.kfki.hu/packages/binary/libigraph-dev_0.5.2_i386.deb",
                    default => undef,
                },
                require => [ Package["libxml2-dev"], Apt::Package["libigraph"], ],
            }
        }
    }

}


# Install python bindings for igraph.
#
class igraph::python inherits igraph {

    case $operatingsystem {
        debian,ubuntu: {
            apt::package { "python-igraph":
                ensure => installed,
                source => $architecture ? {
                    i386    => "http://cneurocvs.rmki.kfki.hu/packages/binary/python-igraph_0.5.2_i386.deb",
                    default => undef,
                },
                require => Apt::Package["libigraph"],
            }
        }
    }

}
